Improve apt update error reporting

Bug #552300 reported by Rick Spencer on 2010-03-31
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
jockey (Ubuntu)
Medium
Martin Pitt

Bug Description

Steps:
1. Install UNE 10.04
2. Plug into ethernet
3. run System -> Administration -> Hardwire drivers

Result:
jockey-gtk shows download progress and etc... and then reports that No proprietary drivers are in use on this system

Expected:
jockey will offer to install the broadcom driver

ProblemType: Bug
DistroRelease: Ubuntu 10.04
Package: jockey-common 0.5.8-0ubuntu5
ProcVersionSignature: Ubuntu 2.6.32-17.26-generic 2.6.32.10+drm33.1
Uname: Linux 2.6.32-17-generic i686
Architecture: i386
Date: Tue Mar 30 20:26:46 2010
InstallationMedia: Ubuntu-Netbook 10.04 "Lucid Lynx" - Alpha i386 (20100329)
MachineType: Dell Inc. Inspiron 1011
PackageArchitecture: all
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-17-generic root=UUID=6e3da599-b8bc-454b-a01b-53186aa8700a ro quiet splash
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
SourcePackage: jockey
dmi.bios.date: 07/29/2009
dmi.bios.vendor: Dell Inc.
dmi.bios.version: A06
dmi.board.name: CN011P
dmi.board.vendor: Dell Inc.
dmi.board.version: A06
dmi.chassis.type: 8
dmi.chassis.vendor: Dell Inc.
dmi.chassis.version: A06
dmi.modalias: dmi:bvnDellInc.:bvrA06:bd07/29/2009:svnDellInc.:pnInspiron1011:pvrA06:rvnDellInc.:rnCN011P:rvrA06:cvnDellInc.:ct8:cvrA06:
dmi.product.name: Inspiron 1011
dmi.product.version: A06
dmi.sys.vendor: Dell Inc.

Changed in jockey (Ubuntu):
assignee: nobody → Martin Pitt (pitti)

Martin,

I strongly suspect that this is a dupe, but I didn't find another report quite like it. Do with it as you will ...

Martin Pitt (pitti) wrote :

Do you still know whether you experienced that in the afternoon or evening? The log says

2010-03-30 15:02:47,107 DEBUG: Updating repository indexes...
2010-03-30 15:02:47,460 DEBUG: ... fail!

(but unfortunately not what went wrong) Given that it failed that quickly (in 0.3 s) I suspect that either apt was locked, or it determined very quickly that it couldn't get online. I have to add more verbosity here..

and then a couple of more failures

2010-03-30 20:20:48,749 DEBUG: Updating repository indexes...
2010-03-30 20:20:48,962 DEBUG: ... fail!
2010-03-30 20:20:48,995 DEBUG: Updating repository indexes...
2010-03-30 20:20:49,212 DEBUG: ... fail!
2010-03-30 20:20:49,241 DEBUG: Updating repository indexes...
2010-03-30 20:20:49,456 DEBUG: ... fail!
2010-03-30 20:20:49,490 DEBUG: Updating repository indexes...
2010-03-30 20:20:49,703 DEBUG: ... fail!

but finally:
2010-03-30 20:24:17,478 DEBUG: Updating repository indexes...
2010-03-30 20:26:16,191 DEBUG: ... success

but here the log ends, and it seems you didn't start it again after that?

Changed in jockey (Ubuntu):
status: New → Incomplete

It worked the next day after running an update from update manager. HTH

Martin Pitt (pitti) wrote :

Since there's nothing more that I can squeeze out of this log, I'll devote this report to improve the apt logging.

Changed in jockey (Ubuntu):
status: Incomplete → Triaged
summary: - broadcom wireless driver not offered on first run with Dell mini 10v
+ Improve apt update error reporting
Changed in jockey (Ubuntu):
importance: Undecided → Medium
Martin Pitt (pitti) wrote :

Fixed in bzr.

Changed in jockey (Ubuntu):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package jockey - 0.9.4-0ubuntu1

---------------
jockey (0.9.4-0ubuntu1) oneiric; urgency=low

  * New upstream bug fix release:
    - oslib.py: Do not encourage to report package installation failure as
      SystemError, it will appear as a backend crash
    - jockey-gtk: Fix message_type argument to Gtk.MessageBox constructor
    - jockey/ui.py: For invalid combinations of LC_MESSAGES and LC_CTYPE, force
      stdout/stderr encoding to UTF-8 instead of C. (LP: #760883)
    - Fix GLib and GObject imports to be compatible with the future pygobject
      3.0. (LP: #829186)
    - jockey/detection.py, _driverid_to_handler(): In the case that there are
      multiple matching custom handlers for a DriverID, also check that their
      "package" attribute matches.
    - tests/run: Also support specifying individual test method names
  * Add debian/testpkgs/: Scripts and equivs control files for dummy
    driver packages which are convenient for testing.
  * debian/rules: Call debian/testpkgs/clean to ensure that we don't ship
    build stuff there.
  * data/handlers/{fglrx,nvidia}.py: Prevent crash if
    get_alternative_by_name() returns nothing.
  * jockey/oslib.py, {install,remove}_package(): Capture apt's stdout/err into
    the log file, to get proper error messages when packages fail to install.
    (LP: #552300).
  * jockey/oslib.py, install_package(): Avoid raising a SystemError when a
    package fails to install in apt, as this will appear as a crash in Jockey.
    Just point out the error in the log file instead. (LP: #804709)
  * tests/oslib.py: Update test cases for above change.
  * tests/oslib.py: Fix apt initialization to work with current apt versions.
  * data/handlers/{fglrx,nvidia}.py: Also show the -updates variants of the
    drivers, which will be updated to newer upstream versions after the
    Ubuntu release. (UbuntuSpec:desktop-o-xorg-stakeholders-request)
 -- Martin Pitt <email address hidden> Mon, 22 Aug 2011 12:08:02 +0200

Changed in jockey (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers